// Toggle Hamburger Menu
function toggleMenu() {
  const menu = document.getElementById("menu");
  const hamburger = document.querySelector(".hamburger");
  menu.classList.toggle("active");
  hamburger.classList.toggle("active");
}

// Tap to Boom Button Functionality
const boomButton = document.getElementById("boom-button");
const bgVideo = document.querySelector(".background-video");

// Original and alternate video sources
const originalVideoSrc =
  "https://cyberkunal.com/wp-content/uploads/2024/10/Diwali-Vid.mp4";
const alternateVideoSrc =
  "https://cyberkunal.com/wp-content/uploads/2024/10/Diwali-Vid2.mp4";

boomButton.addEventListener("click", () => {
  // Trigger vibration on supported devices
  if (navigator.vibrate) {
    navigator.vibrate(200);
  }

  // Temporarily change the video source
  bgVideo.src = alternateVideoSrc;
  bgVideo.play();

  // Revert to the original video after 14 seconds
  setTimeout(() => {
    bgVideo.src = originalVideoSrc;
    bgVideo.play();
  }, 14000);
});
